<?php

require __DIR__.'/../vendor/autoload.php';
require __DIR__.'/../vendor/zeedhi/framework/bootstrap.php';
require __DIR__ ."/../vendor/teknisa/libraries/scripts/bootstrap.php";

$instanceManager = \Zeedhi\Framework\DependencyInjection\InstanceManager::getInstance();
$instanceManager->loadFromFile(__DIR__.'/../parameters.xml');
$instanceManager->loadFromFile(__DIR__.'/../environment.xml');
$instanceManager->loadFromFile(__DIR__.'/../services.xml');

ini_set('max_execution_time', '90');
set_time_limit(90);

$routes = array();
$routes[] = __DIR__ . '/../routes.json';
$routes[] = __DIR__ . '/../vendor/teknisa/libraries/libRoutes.json';


$instanceManager->registerService('routeParser', new \Zeedhi\Framework\Routing\Parsers\JSONFormat($routes));
$instanceManager->compile();

/** @var \Zeedhi\Framework\Application $app */
$app = $instanceManager->getService('application');
$app->run();