<?php
namespace Zeedhi\Framework\DataSource\Manager\Mongo\Types;


class MongoIdType extends Type {

	public function convertToDatabaseValue($value) {
		if ($value === null) {
			return null;
		}
		if (!$value instanceof \MongoId) {
			try {
				$value = new \MongoId($value);
			} catch (\MongoException $e) {
				$value = new \MongoId();
			}
		}
		return $value;
	}

	public function convertToPHPValue($value) {
		return $value instanceof \MongoId ? (string)$value : $value;
	}
}